"use strict";
const jsxRuntime = require("react/jsx-runtime");
const assert = require("assert");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Text_Text_cjs = require("../Text/Text.cjs");
const lib_components_ButtonIcon_ButtonIcon_cjs = require("../ButtonIcon/ButtonIcon.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_Tag_Tag_css_cjs = require("./Tag.css.cjs");
const lib_components_icons_IconClear_IconClear_cjs = require("../icons/IconClear/IconClear.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const assert__default = /* @__PURE__ */ _interopDefaultCompat(assert);
const tagSizes = ["small", "standard"];
const paddingXForSize = {
  small: "xsmall",
  standard: "small"
};
const Tag = ({
  onClear,
  clearLabel = "Clear",
  size = "standard",
  data,
  id,
  icon,
  children,
  ...restProps
}) => {
  assert__default.default(
    typeof children === "undefined" || typeof children === "string",
    "Tag may only contain a string"
  );
  assert__default.default(
    !icon || icon.props.size === void 0 || icon.props.tone === void 0,
    "Icons cannot set the 'size' or 'tone' prop when passed to a Tag component"
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      id,
      display: "flex",
      ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
      children: /* @__PURE__ */ jsxRuntime.jsxs(
        lib_components_Box_Box_cjs.Box,
        {
          display: "flex",
          minWidth: 0,
          alignItems: "center",
          background: "neutralLight",
          paddingY: "xxsmall",
          paddingX: paddingXForSize[size],
          paddingRight: onClear ? "xsmall" : paddingXForSize[size],
          borderRadius: "full",
          children: [
            /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { minWidth: 0, title: children, children: /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Text_Text_cjs.Text, { size, baseline: false, maxLines: 1, children: [
              icon,
              " ",
              children
            ] }) }),
            onClear ? /* @__PURE__ */ jsxRuntime.jsx(
              lib_components_Box_Box_cjs.Box,
              {
                flexShrink: 0,
                marginLeft: "xxsmall",
                className: lib_components_Tag_Tag_css_cjs.clearGutter,
                children: /* @__PURE__ */ jsxRuntime.jsx(
                  lib_components_ButtonIcon_ButtonIcon_cjs.ButtonIcon,
                  {
                    id: id ? `${id}-clear` : void 0,
                    icon: /* @__PURE__ */ jsxRuntime.jsx(lib_components_icons_IconClear_IconClear_cjs.IconClear, {}),
                    label: clearLabel,
                    tone: "secondary",
                    size: "small",
                    variant: "transparent",
                    onClick: onClear
                  }
                )
              }
            ) : null
          ]
        }
      )
    }
  );
};
exports.Tag = Tag;
exports.tagSizes = tagSizes;
