import { jsx } from "react/jsx-runtime";
import { useFallbackId } from "../../playroom/utils.mjs";
import { Tag as Tag$1, tagSizes } from "./Tag.mjs";
const Tag = ({ icon, id, size, ...restProps }) => {
  const fallbackId = useFallbackId();
  return /* @__PURE__ */ jsx(
    Tag$1,
    {
      id: id ?? fallbackId,
      icon: typeof icon !== "boolean" ? icon : void 0,
      size: size && tagSizes.includes(size) ? size : void 0,
      ...restProps
    }
  );
};
export {
  Tag
};
